package com.utopiaindustries.selftrucking.models;

public class PickupRequest {

    private int pickupLocation;
    private int dropoffLocation;
    private String loadTypeId;
    private double agreedAmount;
    private String status;
    private String agreedAmountCurrency;
    private int assignedToDriver;
    private int truckLoadId;

    public PickupRequest(int pickupLocation, int dropoffLocation, String loadTypeId, String status,
                         double agreedAmount, String agreedAmountCurrency, int assignedToDriver, int truckLoadId) {
        this.pickupLocation = pickupLocation;
        this.dropoffLocation = dropoffLocation;
        this.loadTypeId = loadTypeId;
        this.status = status;
        this.agreedAmount = agreedAmount;
        this.agreedAmountCurrency = agreedAmountCurrency;
        this.assignedToDriver = assignedToDriver;
        this.truckLoadId = truckLoadId;
    }

    @Override
    public String toString() {
        return "PickupRequest{" +
                "pickupLocation=" + pickupLocation +
                ", dropoffLocation=" + dropoffLocation +
                ", loadTypeId='" + loadTypeId + '\'' +
                ", agreedAmount=" + agreedAmount +
                ", status='" + status + '\'' +
                ", agreedAmountCurrency='" + agreedAmountCurrency + '\'' +
                ", assignedToDriver=" + assignedToDriver +
                ", truckLoadId=" + truckLoadId +
                '}';
    }
}
