package com.utopiaindustries.selftrucking.models;

public class Container {

    private String containerId;
    private String destination;
    private String status; // e.g., "Assigned", "Picked Up", "In Transit", "Delivered", "Returned"
    private String assignedDriverId;
    private String returnTicketUrl;

    public Container(String containerId, String destination, String status, String assignedDriverId, String returnTicketUrl) {
        this.containerId = containerId;
        this.destination = destination;
        this.status = status;
        this.assignedDriverId = assignedDriverId;
        this.returnTicketUrl = returnTicketUrl;
    }

    public String getContainerId() {
        return containerId;
    }

    public void setContainerId(String containerId) {
        this.containerId = containerId;
    }

    public String getDestination() {
        return destination;
    }

    public void setDestination(String destination) {
        this.destination = destination;
    }

    public String getStatus() {
        return status;
    }

    public void setStatus(String status) {
        this.status = status;
    }

    public String getAssignedDriverId() {
        return assignedDriverId;
    }

    public void setAssignedDriverId(String assignedDriverId) {
        this.assignedDriverId = assignedDriverId;
    }

    public String getReturnTicketUrl() {
        return returnTicketUrl;
    }

    public void setReturnTicketUrl(String returnTicketUrl) {
        this.returnTicketUrl = returnTicketUrl;
    }
}
