
package com.utopiaindustries.selftrucking.models;

import com.google.gson.annotations.Expose;
import com.google.gson.annotations.SerializedName;

import java.io.Serializable;

public class ContainerWorkflow implements Serializable {

    @SerializedName("containerNo")
    @Expose
    private String containerNo;
    @SerializedName("originId")
    @Expose
    private Integer originId;
    @SerializedName("origin")
    @Expose
    private String origin;
    @SerializedName("destinationId")
    @Expose
    private Integer destinationId;
    @SerializedName("destination")
    @Expose
    private String destination;
    @SerializedName("status")
    @Expose
    private String currentStatus;
    @SerializedName("truckLoadId")
    @Expose
    private Integer truckLoadId;


    public String getContainerNo() {
        return containerNo;
    }

    public void setContainerNo(String containerNo) {
        this.containerNo = containerNo;
    }

    public String getOrigin() {
        return origin;
    }

    public void setOrigin(String origin) {
        this.origin = origin;
    }

    public String getDestination() {
        return destination;
    }

    public void setDestination(String destination) {
        this.destination = destination;
    }

    public Integer getOriginId() {
        return originId;
    }

    public void setOriginId(Integer originId) {
        this.originId = originId;
    }

    public Integer getDestinationId() {
        return destinationId;
    }

    public void setDestinationId(Integer destinationId) {
        this.destinationId = destinationId;
    }

    public String getCurrentStatus() {
        return currentStatus;
    }

    public void setCurrentStatus(String currentStatus) {
        this.currentStatus = currentStatus;
    }

    public Integer getTruckLoadId() {
        return truckLoadId;
    }

    public void setTruckLoadId(Integer truckLoadId) {
        this.truckLoadId = truckLoadId;
    }
}
