
package com.utopiaindustries.selftrucking.models;

import com.google.gson.annotations.Expose;
import com.google.gson.annotations.SerializedName;

public class TruckLoad {

    @SerializedName("truckLoadId")
    @Expose
    private Integer truckLoadId;
    @SerializedName("dateCreated")
    @Expose
    private String dateCreated;
    @SerializedName("createdBy")
    @Expose
    private String createdBy;
    @SerializedName("pickupLocation")
    @Expose
    private Integer pickupLocation;
    @SerializedName("dropoffLocation")
    @Expose
    private Integer dropoffLocation;
    @SerializedName("status")
    @Expose
    private String status;
    @SerializedName("loadType")
    @Expose
    private String loadType;
    @SerializedName("loadTypeId")
    @Expose
    private String loadTypeId;
    @SerializedName("agreedAmount")
    @Expose
    private Double agreedAmount;
    @SerializedName("agreedAmountCurrency")
    @Expose
    private String agreedAmountCurrency;
    @SerializedName("assignedToDriver")
    @Expose
    private Integer assignedToDriver;
    @SerializedName("assignedBy")
    @Expose
    private String assignedBy;
    @SerializedName("dateAssigned")
    @Expose
    private String dateAssigned;
    @SerializedName("marketplace")
    @Expose
    private String marketplace;

    public Integer getTruckLoadId() {
        return truckLoadId;
    }

    public void setTruckLoadId(Integer truckLoadId) {
        this.truckLoadId = truckLoadId;
    }

    public String getDateCreated() {
        return dateCreated;
    }

    public void setDateCreated(String dateCreated) {
        this.dateCreated = dateCreated;
    }

    public String getCreatedBy() {
        return createdBy;
    }

    public void setCreatedBy(String createdBy) {
        this.createdBy = createdBy;
    }

    public Integer getPickupLocation() {
        return pickupLocation;
    }

    public void setPickupLocation(Integer pickupLocation) {
        this.pickupLocation = pickupLocation;
    }

    public Integer getDropoffLocation() {
        return dropoffLocation;
    }

    public void setDropoffLocation(Integer dropoffLocation) {
        this.dropoffLocation = dropoffLocation;
    }

    public String getStatus() {
        return status;
    }

    public void setStatus(String status) {
        this.status = status;
    }

    public String getLoadType() {
        return loadType;
    }

    public void setLoadType(String loadType) {
        this.loadType = loadType;
    }

    public String getLoadTypeId() {
        return loadTypeId;
    }

    public void setLoadTypeId(String loadTypeId) {
        this.loadTypeId = loadTypeId;
    }

    public Double getAgreedAmount() {
        return agreedAmount;
    }

    public void setAgreedAmount(Double agreedAmount) {
        this.agreedAmount = agreedAmount;
    }

    public String getAgreedAmountCurrency() {
        return agreedAmountCurrency;
    }

    public void setAgreedAmountCurrency(String agreedAmountCurrency) {
        this.agreedAmountCurrency = agreedAmountCurrency;
    }

    public Integer getAssignedToDriver() {
        return assignedToDriver;
    }

    public void setAssignedToDriver(Integer assignedToDriver) {
        this.assignedToDriver = assignedToDriver;
    }

    public String getAssignedBy() {
        return assignedBy;
    }

    public void setAssignedBy(String assignedBy) {
        this.assignedBy = assignedBy;
    }

    public String getDateAssigned() {
        return dateAssigned;
    }

    public void setDateAssigned(String dateAssigned) {
        this.dateAssigned = dateAssigned;
    }

    public String getMarketplace() {
        return marketplace;
    }

    public void setMarketplace(String marketplace) {
        this.marketplace = marketplace;
    }

}
